# Generated by Django 2.0.7 on 2018-09-16 12:56

from django.db import migrations

from telerad_portal_api.utils import GroupName


def create_groups_if_not_exists(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    for _, value in GroupName.choices():
        Group.objects.get_or_create(name=value)


class Migration(migrations.Migration):
    dependencies = [
        ('organization', '0003_userprofile_phone'),
    ]

    operations = [
        migrations.RunPython(create_groups_if_not_exists),
    ]
